user www-data;
worker_processes 4;
worker_rlimit_nofile 40000;
pid /run/nginx.pid;
include /etc/nginx/modules-enabled/*.conf;


events {
    worker_connections 8192;
}

stream {
    upstream rancher_servers_http {
        least_conn;
        {% for server in upstream.servers %}
        server {{ server.ip }}:80 max_fails=3 fail_timeout=5s;	        
        {% endfor %}
    }
    server {
        listen 80;
        proxy_pass rancher_servers_http;
    }

    upstream rancher_servers_https {
        least_conn;
        {% for server in upstream.servers %}
        server {{ server.ip }}:443 max_fails=3 fail_timeout=5s;	        
        {% endfor %}
    }
    server {
        listen     443;
        proxy_pass rancher_servers_https;
    }

}
